[Prev: GENIDX] | [Resources][TOC] | [Next: GZIPEXE]

# GMTDATEFMT

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_GMTDATEFMT=`date-format

Element

  `<GMTDATEFMT>
  ` date-format
  `</GMTDATEFMT>
  `

Command-line Option

  `-gmtdatefmt` date-format

## Description

The GMTDATEFMT resource specifies the date format for the `$GMTDATE$` resource variable (i.e. The system GMT date). The format is a string containing zero or more conversion specifications and regular characters. A conversion specification consists of the '`%`' character followed a character that determines the type of conversion.

The following lists the possible conversion specifications:

NOTE | If POSIXSTRFTIME is set, the POSIX::strftime() function will be used. Therefore, there may be more conversion specifications available. See your system's strftime() manpage for specifics.

Spec | Value
--- | ---
%% | the % character
%a | abbreviated weekday name
%A | full weekday name
%b | abbreviated month name
%B | full month name
%c | appropriate date and time representation
%d | day of month [1,31]; single digits are preceded by 0
%h | abbreviated month name
%H | hour (24-hour clock) [0,23]; single digits are preceded by 0
%I | hour (12-hour clock) [1,12]; single digits are preceded by 0
%j | day number of year [1,366]; single digits are preceded by 0
%m | month number [1,12]; single digits are preceded by 0
%M | minute[00,59]; single digits are preceded by 0
%p | am or pm.
%P | AM or PM.
%S | seconds [00,61]
%w | weekday as a decimal number [0,6], with 0 representing Sunday
%y | year within century [00,99]
%Y | year, including the century (for example 1993)

Setting GMTDATEFMT to a blank string will reset the resource to the default setting.

## Default Setting

    %a %b %d %H:%M:%S GMT %Y

## Resource Variables

N/A

## Examples

The following sets the GMT date to use the long weekday and month names and 12 hour am/pm time:

    <GMTDateFmt>
    %A %B %d %I:%M:%S %p GMT %y
    </GMTDateFmt>

## Version

2.0

## See Also

LOCALDATEFMT, MONTHS, MONTHSABR, MSGGMTDATEFMT, MSGLOCALDATEFMT, POSIXSTRFTIME, WEEKDAYS, WEEKDAYSABR

[Prev: GENIDX] | [Resources][TOC] | [Next: GZIPEXE]